<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/common_bkg"
    android:orientation="vertical">

    <include layout="@layout/include_device_title" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center_horizontal"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="@dimen/dp_175"
            android:layout_height="@dimen/dp_175"
            android:layout_gravity="center"
            android:background="@drawable/bg_stroke_layout_gray_circle_1"
            android:gravity="center"
            android:padding="@dimen/dp_5">

            <ImageView
                android:id="@+id/deviceLogoView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />
        </LinearLayout>

        <androidx.core.widget.NestedScrollView
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="2">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_20"
                    android:background="@drawable/bg_solid_layout_white_radius_10"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:padding="@dimen/dp_10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:fontFamily="sans-serif-medium"
                        android:text="开关"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_14" />

                    <CheckBox
                        android:id="@+id/turnOffRadioButton"
                        android:layout_width="@dimen/titleViewHeight"
                        android:layout_height="@dimen/titleViewHeight"
                        android:background="@drawable/selector_device_turn_off"
                        android:button="@null"
                        android:gravity="center" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_20"
                    android:layout_marginVertical="@dimen/dp_10"
                    android:background="@drawable/bg_solid_layout_white_radius_10"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:padding="@dimen/dp_10">

                    <LinearLayout
                        android:id="@+id/importWaterLayout"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="PM2.5"
                            android:textColor="@color/hintTextColor"
                            android:textSize="@dimen/sp_16" />

                        <TextView
                            android:id="@+id/particulateView"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_5"
                            android:text="@string/unknown"
                            android:textColor="@color/mainTextColor"
                            android:textSize="@dimen/sp_16" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="室内空气"
                            android:textColor="@color/hintTextColor"
                            android:textSize="@dimen/sp_16" />

                        <TextView
                            android:id="@+id/airQualityView"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_5"
                            android:text="@string/unknown"
                            android:textColor="@color/mainTextColor"
                            android:textSize="@dimen/sp_16" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="滤芯还剩"
                            android:textColor="@color/hintTextColor"
                            android:textSize="@dimen/sp_16" />

                        <TextView
                            android:id="@+id/filterElementView"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_5"
                            android:text="@string/unknown"
                            android:textColor="@color/mainTextColor"
                            android:textSize="@dimen/sp_16" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_20"
                    android:background="@drawable/bg_solid_layout_white_radius_10"
                    android:gravity="center_vertical"
                    android:orientation="vertical"
                    android:padding="@dimen/dp_10">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="模式"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_14" />

                    <RadioGroup
                        android:id="@+id/modeRadioGroup"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_5"
                        android:gravity="center"
                        android:orientation="horizontal"
                        android:paddingHorizontal="@dimen/dp_20">

                        <RadioButton
                            android:id="@+id/manualRadioButton"
                            style="@style/textRadioButtonStyle"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="手动" />

                        <RadioButton
                            android:id="@+id/autoRadioButton"
                            style="@style/textRadioButtonStyle"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="@dimen/dp_20"
                            android:layout_weight="1"
                            android:text="自动" />

                        <RadioButton
                            android:id="@+id/sleepRadioButton"
                            style="@style/textRadioButtonStyle"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="@dimen/dp_20"
                            android:layout_weight="1"
                            android:text="睡眠" />

                        <RadioButton
                            android:id="@+id/potentRadioButton"
                            style="@style/textRadioButtonStyle"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="强效" />
                    </RadioGroup>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_20"
                    android:layout_marginTop="@dimen/dp_10"
                    android:background="@drawable/bg_solid_layout_white_radius_10"
                    android:gravity="center_vertical"
                    android:orientation="vertical"
                    android:padding="@dimen/dp_10">

                    <RadioGroup
                        android:id="@+id/speedRadioGroup"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <RadioButton
                            android:id="@+id/lowSpeedRadioButton"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:button="@null"
                            android:drawableTop="@drawable/selector_air_cleaner_low"
                            android:drawablePadding="@dimen/dp_5"
                            android:gravity="center"
                            android:text="低速"
                            android:textSize="@dimen/sp_16" />

                        <RadioButton
                            android:id="@+id/mediumSpeedRadioButton"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:button="@null"
                            android:drawableTop="@drawable/selector_air_cleaner_medium"
                            android:drawablePadding="@dimen/dp_5"
                            android:gravity="center"
                            android:text="中速"
                            android:textSize="@dimen/sp_16" />

                        <RadioButton
                            android:id="@+id/highSpeedRadioButton"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:button="@null"
                            android:drawableTop="@drawable/selector_air_cleaner_high"
                            android:drawablePadding="@dimen/dp_5"
                            android:gravity="center"
                            android:text="高速"
                            android:textSize="@dimen/sp_16" />
                    </RadioGroup>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_20"
                    android:layout_marginTop="@dimen/dp_10"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <RelativeLayout
                        android:id="@+id/anionLayout"
                        android:layout_width="0dp"
                        android:layout_height="@dimen/titleViewHeight"
                        android:layout_marginEnd="@dimen/dp_5"
                        android:layout_weight="1"
                        android:background="@drawable/bg_solid_layout_white_radius_10"
                        android:paddingHorizontal="@dimen/dp_10">

                        <TextView
                            style="@style/controllerTextViewStyle"
                            android:text="负离子" />

                        <Switch
                            android:id="@+id/anionStatusSwitch"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_centerVertical="true"
                            android:thumb="@drawable/select_switch_circle"
                            android:track="@drawable/select_switch_background"
                            tools:ignore="UseSwitchCompatOrMaterialXml" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="@dimen/titleViewHeight"
                        android:layout_marginStart="@dimen/dp_5"
                        android:layout_weight="1"
                        android:background="@drawable/bg_solid_layout_white_radius_10"
                        android:paddingHorizontal="@dimen/dp_10">

                        <TextView
                            style="@style/controllerTextViewStyle"
                            android:text="童锁" />

                        <Switch
                            android:id="@+id/childStatusSwitch"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_centerVertical="true"
                            android:thumb="@drawable/select_switch_circle"
                            android:track="@drawable/select_switch_background"
                            tools:ignore="UseSwitchCompatOrMaterialXml" />
                    </RelativeLayout>
                </LinearLayout>

                <RelativeLayout
                    android:id="@+id/countDownLayout"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/titleViewHeight"
                    android:layout_marginHorizontal="@dimen/dp_20"
                    android:layout_marginVertical="@dimen/dp_10"
                    android:background="@drawable/bg_solid_layout_white_radius_10"
                    android:paddingHorizontal="@dimen/dp_10">

                    <TextView
                        style="@style/controllerTextViewStyle"
                        android:text="倒计时" />

                    <!--1h、2h、4h、8h、取消-->
                    <ImageView style="@style/rightImageStyle" />
                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/resetFilterLayout"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/titleViewHeight"
                    android:layout_marginHorizontal="@dimen/dp_20"
                    android:background="@drawable/bg_solid_layout_white_radius_10"
                    android:paddingHorizontal="@dimen/dp_10">

                    <TextView
                        style="@style/controllerTextViewStyle"
                        android:text="滤芯复位" />

                    <ImageView style="@style/rightImageStyle" />
                </RelativeLayout>
            </LinearLayout>
        </androidx.core.widget.NestedScrollView>
    </LinearLayout>
</LinearLayout>